#include "unit_factory.h"
#include <vector>

int main(void) {
	UnitFactory uf;
	std::vector<Unit *> units;
	
	for(int i=0; i<10; i++) {
		units.push_back(uf.create_quad());
		units.push_back(uf.create_trike());
		units.push_back(uf.create_infantry());
		units.push_back(uf.create_harvester());
	}
	
	
	for(std::vector<Unit *>::const_iterator u_i = units.begin(); u_i!=units.end(); u_i++) {
		(*u_i)->salut();
	}
}